<?php
// tableau associatif des champs de chaque type
// avec l'intitule de la colonne mysql correspondante

$rows_articles = array(
		'ID_ARTICLE' => 'id_article',
		'ID_RUBRIQUE' => 'id_rubrique',
		'ID_SECTEUR' => 'id_secteur',
		'SURTITRE' => 'surtitre',
		'TITRE' => 'titre',
		'SOUSTITRE' => 'soustitre',
		'DESCRIPTIF' => 'descriptif',
		'CHAPO' => 'chapo',
		'TEXTE' => 'texte',
		'PS' => 'ps',
		'DATE' => 'date',
		'DATE_REDAC' => 'date_redac',
		'DATE_MODIF' => 'date_modif',
		'VISITES' => 'visites',
		'POINTS' => 'points'
	);
$rows_auteurs = array(
		'ID_AUTEUR' => 'id_auteur',
		'NOM' => 'nom',
		'BIO' => 'bio',
		'EMAIL' => 'email',
		'NOM_SITE' => 'nom_site',
		'URL_SITE' => 'url_site',
		'PGP' => 'pgp',
		'POINTS' => 'points'
	);
$rows_breves = array(
		'ID_BREVE' => 'id_breve',
		'ID_RUBRIQUE' => 'id_rubrique',
		'ID_SECTEUR' => 'id_rubrique',
		'DATE' => 'date_heure',
		'TITRE' => 'titre',
		'TEXTE' => 'texte',
		'NOM_SITE' => 'lien_titre',
		'URL_SITE' => 'lien_url',
		'LIEN_TITRE' => 'lien_titre',
		'LIEN_URL' => 'lien_url',
		'POINTS' => 'points'
	);
$rows_forums = array(
		'ID_FORUM' => 'id_forum',
		'ID_PARENT' => 'id_parent',
		'ID_BREVE' => 'id_breve',
		'ID_RUBRIQUE' => 'id_rubrique',
		'ID_ARTICLE' => 'id_article',
		'TITRE' => 'titre',
		'TEXTE' => 'texte',
		'DATE' => 'date_heure',
		'NOM' => 'auteur',
		'EMAIL' => 'email_auteur',
		'NOM_SITE' => 'nom_site',
		'URL_SITE' => 'url_site',
		'IP' => 'ip'
	);
$rows_documents = array(
		'ID_DOCUMENT' => 'id_document',
		'ID_VIGNETTE' => 'id_vignette',
		'ID_TYPE' => 'id_type',
		'TITRE' => 'titre',
		'DESCRIPTIF' => 'descriptif',
		'LARGEUR' => 'largeur',
		'HAUTEUR' => 'hauteur',
		'TAILLE' => 'taille',
		'TYPE_DOCUMENT' => 'type_document',
		'EXTENSION_DOCUMENT' => 'extension_document'
	);
$rows_types_documents = array(
		'ID_TYPE' => 'id_type',
		'TITRE' => 'titre',
		'DESCRIPTIF' => 'descriptif',
		'EXTENSION' => 'extension'
	);
$rows_mots = array(
		'ID_MOT' => 'id_mot',
		'TYPE' => 'type',
		'TITRE' => 'titre',
		'DESCRIPTIF' => 'descriptif',
		'TEXTE' => 'texte',
		'POINTS' => 'points',
		'ID_GROUPE' => 'id_groupe'
	);
$rows_groupes_mots = array(
		'ID_GROUPE' => 'id_groupe',
		'TITRE' => 'titre'
	);
$rows_rubriques = array(
		'ID_RUBRIQUE' => 'id_rubrique',
		'ID_PARENT' => 'id_parent',
		'ID_SECTEUR' => 'id_secteur',
		'TITRE' => 'titre',
		'DESCRIPTIF' => 'descriptif',
		'TEXTE' => 'texte',
		'DATE' => 'date',
		'POINTS' => 'points'
	);

$rows_signatures = array(
		'ID_SIGNATURE' => 'id_signature',
		'ID_ARTICLE' => 'id_article',
		'DATE' => 'date_time',
		'NOM' => 'nom_email',
		'EMAIL' => 'ad_email',
		'NOM_SITE' => 'nom_site',
		'URL_SITE' => 'url_site',
		'MESSAGE' => 'message'
	);

$rows_syndication = array(
		'ID_SYNDIC' => 'id_syndic',
		'ID_RUBRIQUE' => 'id_rubrique',
		'ID_SECTEUR' => 'id_secteur',
		'NOM_SITE' => 'nom_site',
		'URL_SITE' => 'url_site',
		'URL_SYNDIC' => 'url_syndic',
		'DESCRIPTIF' => 'descriptif',
		'DATE' => 'date',
		'POINTS' => 'points'
	);
$rows_syndic_articles = array(
		'ID_SYNDIC_ARTICLE' => 'id_syndic_article',
		'ID_SYNDIC' => 'id_syndic',
		'TITRE' => 'titre',
		'URL_ARTICLE' => 'url',
		'DATE' => 'date',
		'LESAUTEURS' => 'lesauteurs',
		'DESCRIPTIF' => 'descriptif',
		'NOM_SITE' => 'nom_site',
		'URL_SITE' => 'url_site'
	);

global $rows_all;

$rows_all = array (
		   "articles" => $rows_articles,
		   "signatures" => $rows_signatures,
		   "syndication" => $rows_syndication,
		   "syndic_articles" => $rows_syndic_articles,
		   "documents" => $rows_documents,
		   "types_documents" => $rows_types_documents,
		   "rubriques" => $rows_rubriques,
		   "forums" => $rows_forums,
		   "breves" => $rows_breves,
		   "auteurs" => $rows_auteurs,
		   "mots" => $rows_mots,
		   "groupes_mots" => $rows_groupes_mots,
		   "hierarchie" => $rows_rubriques
		   );

	//
	// Construire un tableau des tables de relations
	//


global $tables_relations;

$tables_relations = array(
	'articles'	=> array('id_mot' => 'spip_mots_articles',
				 'id_auteur' => 'spip_auteurs_articles',
				 'id_document' => 'spip_documents_articles'),
	'documents'	=> array('id_article' => 'spip_documents_articles',
				 'id_rubrique' => 'spip_documents_rubriques',
				 'id_breve' => 'spip_documents_breves'),
	'mots'		=> array('id_article' => 'spip_mots_articles',
				 'id_breve' => 'spip_mots_breves',
				 'id_forum' => 'spip_mots_forum',
				 'id_rubrique' => 'spip_mots_rubriques',
				 'id_syndic' => 'spip_mots_syndic'),
	'rubriques'	=> array('id_mot' => 'spip_mots_rubriques',
				 'id_document' => 'spip_documents_rubriques'),
	'groupes_mots'	=> array('id_groupe' => 'spip_mots'),
	'auteurs'	=> array('id_article' => 'spip_auteurs_articles'),
	'breves'	=> array('id_mot' => 'spip_mots_breves'),
	'forums'	=> array('id_mot' => 'spip_mots_forum'),
	'syndication'	=> array('id_mot' => 'spip_mots_syndic')
);

global $calculer_boucle_switch;
$calculer_boucle_switch = array(
 'articles' => '
		$contexte["id_article"] = $row["id_article"];
		$contexte["id_rubrique"] = $row["id_rubrique"];
		$contexte["id_secteur"] = $row["id_secteur"];
		$contexte["date"] = normaliser_date($row["date"]);
		$contexte["date_redac"] = normaliser_date($row["date_redac"]);
		$contexte["accepter_forum"] = $row["accepter_forum"];',
 'breves' => '
		$contexte["id_breve"] = $row["id_breve"];
		$contexte["id_rubrique"] = $row["id_rubrique"];
		$contexte["id_secteur"] = $row["id_rubrique"];
		$contexte["date"] = normaliser_date($row["date_heure"]);',
 'syndication' => '
		$contexte["id_syndic"] = $row["id_syndic"];
		$contexte["id_rubrique"] = $row["id_rubrique"];
		$contexte["id_secteur"] = $row["id_secteur"];
		$contexte["url_site"] = $row["url_site"];
		$contexte["date"] = normaliser_date($row["date"]);',
 'documents' => '
		$contexte["id_document"] = $row["id_document"];
		$contexte["id_vignette"] = $row["id_vignette"];
		$contexte["id_type"] = $row["id_type"];',
 'types_documents' => '
		$contexte["id_type"] = $row["id_type"];',
 'syndic_articles' => '
		$contexte["id_syndic"] = $row["id_syndic"];
		$contexte["id_syndic_article"] = $row["id_syndic_article"];
		$contexte["date"] = normaliser_date($row["date"]);',
 'rubriques' => '
		$contexte["id_rubrique"] = $row["id_rubrique"];
		$contexte["id_parent"] = $row["id_parent"];
		$contexte["id_secteur"] = $row["id_secteur"];
		$contexte["date"] = normaliser_date($row["date"]);',
 'forums' => '
		$contexte["id_forum"] = $row["id_forum"];
		$contexte["id_rubrique"] = $row["id_rubrique"];
		$contexte["id_article"] = $row["id_article"];
		$contexte["id_breve"] = $row["id_breve"];
		$contexte["id_parent"] = $row["id_parent"];
		$contexte["date"] = normaliser_date($row["date_heure"]);',
 'auteurs' => '
		$contexte["id_auteur"] = $row["id_auteur"];',
 'signatures' => '
		$contexte["id_signature"] = $row["id_signature"];
		$contexte["date"] = normaliser_date($row["date_time"]);',
 'mots' => '
		$contexte["id_mot"] = $row["id_mot"];
		$contexte["type"] = $row["type"];
		$contexte["id_groupe"] = $row["id_groupe"];',
 'groupes_mots' => '
		$contexte["id_groupe"] = $row["id_groupe"];'
 );

global $calculer_boucle_doublons;
$calculer_boucle_doublons = array(
 'articles' => "id_article",
 'breves' => "id_breve",
 'syndication' => "id_syndic",
 'documents' => "id_document",
 'types_documents' => "id_document",
 'syndic_articles' => "syndic_articles",
 'rubriques' => "id_rubrique",
 'forums' => "id_forum",
 'auteurs' => "id_auteur",
 'signatures' => "id_signature",
 'mots'	=> "id_mot",
 'groupes_mots'	=> "id_groupe"
 );

global $calcul_logo_switch;
$calcul_logo_switch = array (
 'RUBRIQUE' => '
		list($logon, $logoff) = IMG_image(image_rubrique($contexte["id_rubrique"]));',
 'RUBRIQUE_NORMAL' => '
		list($logon,) = IMG_image(image_rubrique($contexte["id_rubrique"]));
		$logoff = "";',
 'RUBRIQUE_SURVOL' => '
		list(,$logon) = IMG_image(image_rubrique($contexte["id_rubrique"]));
		$logoff = "";',
 'DOCUMENT' => '
		$logon = integre_image($contexte["id_document"],"","fichier_vignette");
		$logoff = "";',
 'AUTEUR' => '
		list($logon, $logoff) = IMG_image(image_auteur($contexte["id_auteur"]));',
 'AUTEUR_NORMAL' => '
		list($logon,) = IMG_image(image_auteur($contexte["id_auteur"]));
		$logoff = "";',
 'AUTEUR_SURVOL' => '
		list(,$logon) = IMG_image(image_auteur($contexte["id_auteur"]));
		$logoff = "";',
 'BREVE' => '
		list($logon, $logoff) = IMG_image(image_breve($contexte["id_breve"]));',
 'BREVE_RUBRIQUE' => '
		list($logon, $logoff) = IMG_image(image_breve($contexte["id_breve"]));
		if (!$logon)
			list($logon, $logoff) = IMG_image(image_rubrique($contexte["id_rubrique"]));
  ',
 'SITE' => '
		list($logon, $logoff) = IMG_image(image_site($contexte["id_syndic"]));',
 'MOT' => '
		list($logon, $logoff) = IMG_image(image_mot($contexte["id_mot"]));',
 'ARTICLE' => '
		list($logon, $logoff) = IMG_image(image_article($contexte["id_article"]));',
 'ARTICLE_NORMAL' => '
		list($logon,) = IMG_image(image_article($contexte["id_article"]));
		$logoff = "";',
 'ARTICLE_SURVOL' => '
		list(,$logon) = IMG_image(image_article($contexte["id_article"]));
		$logoff = "";',
 'ARTICLE_RUBRIQUE' => '
		list($logon, $logoff) = IMG_image(image_article($contexte["id_article"]));
		if (!$logon)
		list($logon, $logoff) = IMG_image(image_rubrique($contexte["id_rubrique"]));'
 );
?>
